> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/remittance-api/business/onboarding/query-shops.md).

# Query Shops

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/merchant/query-shops`

### **Request Body**

**Refer to :** [**common**](/reference/remittance-api/common.md)

**Biz\_data**

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data": [
         {
                "shop_id": 100000,
                "name": "sss",
                "type": 1,
                "shop_url": "www.ssq.com",
                "description": "Jones"
            },
            {
                "shop_id": 100001,
                "name": "ssss",
                "type": 1,
                "shop_url": "www.ssq.com",
                "description": "Johnson"
            }
    ],
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="325">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>shop_id<mark style="color:red;">*</mark></td><td>long</td><td>Shop ID</td></tr><tr><td>name<mark style="color:red;">*</mark></td><td>string</td><td>Name</td></tr><tr><td>type<mark style="color:red;">*</mark></td><td>integer</td><td>Type</td></tr><tr><td>shop_url<mark style="color:red;">*</mark></td><td>string</td><td>Shop Url</td></tr><tr><td>description</td><td>string</td><td>description</td></tr></tbody></table>

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/merchant/query-shops' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data":"3+PR9CSowtzYbO8lENHncR2QOK5OzMjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
